GWT 2.7.0

## com.google.gwt.core.ext.linker
Class SoftPermutation

    java.lang.Object
      com.google.gwt.core.ext.linker.SoftPermutation

All Implemented Interfaces:
  java.io.Serializable

    public abstract class SoftPermutation

extends java.lang.Object
implements java.io.Serializable

Represents a permutation of collapsed deferred-binding property values.

See Also:
  Serialized Form

Constructor Summary
`SoftPermutation()`

Method Summary
`abstract int` | `getId()` Returns the soft permutation id that should be passed into `gwtOnLoad`.
`abstract java.util.SortedMap<SelectionProperty,java.lang.String>` | `getPropertyMap()` Returns only the collapsed selection properties that resulted in the particular soft permutation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftPermutation

    public SoftPermutation()

Method Detail

### getId

    public abstract int getId()

  Returns the soft permutation id that should be passed into `gwtOnLoad`. The range of ids used for a compilation's soft permutations may be disjoint and may not correspond to the index of the SoftPermutation within the array returned from `CompilationResult.getSoftPermutations()`.

### getPropertyMap

    public abstract java.util.SortedMap<SelectionProperty,java.lang.String> getPropertyMap()

  Returns only the collapsed selection properties that resulted in the particular soft permutation. The SelectionProperties used may be disjoint from the properties returned by `CompilationResult.getPropertyMap()`.

GWT 2.7.0